### Virtual Method

# Meta Plugin xevent_filter

#### Declaration [src]

    gboolean
    xevent_filter (
      MetaPlugin* plugin,
      XEvent* event
    )

#### Description [src]

Virtual function called when handling each event.

#### Parameters

`event`

  Type: `XEvent`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the plugin handled the event type (i.e., if the return value is `FALSE`, there will be no subsequent call to the manager `completed()` callback, and the compositor must ensure that any appropriate post-effect cleanup is carried out.